FileSystemContent (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.FileSystemContent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface FileSystemContent

All Superinterfaces:
  LogicalContent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  CertificateFile, CICSFile, ConfigFile, DataFile, Directory, ExecutableFile, PrivateKeyFile, SybaseConfigFile, SybaseDevice, ZReportFile

    public interface FileSystemContent

extends LogicalContent

Persistable:
  true
Display Name:
  fixedPath

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.LogicalContent
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getGroup()`
`long` | `getLastModified()`
`java.lang.String` | `getOwner()`
`java.lang.String` | `getPermissions()`
`java.lang.String` | `getRealFile()`
`long` | `getSize()`
`boolean` | `hasGroup()`
`boolean` | `hasLastModified()`
`boolean` | `hasOwner()`
`boolean` | `hasPermissions()`
`boolean` | `hasRealFile()`
`boolean` | `hasSize()`
`void` | `setGroup(java.lang.String group)`
`void` | `setLastModified(long timestamp)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setPermissions(java.lang.String p)`
`void` | `setRealFile(java.lang.String s)`
`void` | `setSize(long size)`

Methods inherited from interface com.collation.platform.model.topology.core.LogicalContent
`getChecksum, getConfigFile, getContent, getContentType, getFixedPath, getURI, hasChecksum, hasConfigFile, hasContent, hasContentType, hasFixedPath, hasURI, setChecksum, setConfigFile, setContent, setContentType, setFixedPath, setURI`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getRealFile

    java.lang.String getRealFile()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRealFile

    void setRealFile(java.lang.String s)

### hasRealFile

    boolean hasRealFile()

### getLastModified

    long getLastModified()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastModified

    void setLastModified(long timestamp)

### hasLastModified

    boolean hasLastModified()

### getSize

    long getSize()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSize

    void setSize(long size)

### hasSize

    boolean hasSize()

### getOwner

    java.lang.String getOwner()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOwner

    void setOwner(java.lang.String owner)

### hasOwner

    boolean hasOwner()

### getGroup

    java.lang.String getGroup()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGroup

    void setGroup(java.lang.String group)

### hasGroup

    boolean hasGroup()

### getPermissions

    java.lang.String getPermissions()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPermissions

    void setPermissions(java.lang.String p)

### hasPermissions

    boolean hasPermissions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD